Summary: A set of system configuration and setup files.
Name: setup
Version: 2.1.9
Release: 1.3.0
Copyright: public domain
Group: System Environment/Base
Source: setup-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Patch0: setup-2.1.9-profile-gd-1.diff
## Prereq: filesystem
Conflicts: initscripts < 6.0

%description
The setup package contains a set of important system configuration and
setup files, such as passwd, shadow, group, and profile.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp -ar * $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/var/log
chmod 755 $RPM_BUILD_ROOT/var/log
cp /dev/null $RPM_BUILD_ROOT/var/log/lastlog

for i in /etc/modules.conf /etc/hostname /etc/lilo.conf /etc/host.conf \
        /etc/hosts /etc/fstab /etc/shutdown.allow /etc/resolv.conf \
        /var/log/lastlog
do
        if test -f $i; then
                chgrp admin $i
        fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%verify(not md5 size mtime) %config(noreplace) /etc/passwd
%attr(0400,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/shadow
%verify(not md5 size mtime) %config(noreplace) /etc/group
%attr(0644,root,root) %config /etc/services
%attr(0644,root,root) %config /etc/printcap
%config(noreplace) /etc/filesystems
## %attr(0640,root,admin)	%config(noreplace) /etc/lilo.conf
%attr(0640,root,root)	%config(noreplace) /etc/lilo.conf
## %attr(0640,root,admin)	%config(noreplace) /etc/modules.conf
%attr(0640,root,root)	%config(noreplace) /etc/modules.conf
## %attr(0640,root,admin)	%config(noreplace) /etc/hostname
%attr(0640,root,root)	%config(noreplace) /etc/hostname
## %attr(0640,root,admin)	%config(noreplace) /etc/hosts
%attr(0644,root,root)	%config(noreplace) /etc/hosts
## %attr(0640,root,admin)	%config(noreplace) /etc/host.conf
%attr(0640,root,root)	%config(noreplace) /etc/host.conf
%attr(0640,root,root)	%config(noreplace) /etc/hosts.allow
%attr(0640,root,root)	%config(noreplace) /etc/hosts.deny
## %attr(0640,root,admin)	%config(noreplace) /etc/fstab
%attr(0640,root,root)	%config(noreplace) /etc/fstab
%attr(0640,root,root)	%config(noreplace) /etc/shutdown.allow
## %attr(0644,root,admin)	%config(noreplace) /etc/resolv.conf
%attr(0644,root,root)	%config(noreplace) /etc/resolv.conf
%attr(0644,-,-)	%config /etc/issue
%attr(0644,-,-)	%config /etc/issue.net
%config /etc/inputrc
%config(noreplace) /etc/profile
%config /etc/protocols
%attr(0600,root,root) /etc/securetty
%config(noreplace) /etc/csh.login
%config(noreplace) /etc/csh.cshrc
%dir /etc/profile.d
## %attr(0640,root,admin) %config(noreplace) %verify(not md5 size mtime) /var/log/lastlog
%attr(0640,root,root) %config(noreplace) %verify(not md5 size mtime) /var/log/lastlog

 
%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version: 2.1.9, Release 1.5.1
  - Fix patches.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Fri Apr 16 2002 Nicholas DeClario <nick@guardiandigital.com>
- Release 1.2.1
  - Added language environment variables to /etc/profile

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Thu Nov 14 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.1.9, Release 1.1.6
  - removed the 192.168.10.100 default entry from /etc/hosts

* Mon Oct 29 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.1.9, Release 1.1.5
  - Added userpass, webtool, and pptp to /etc/services.

* Fri Sep 28 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.1.9, Release 1.1.4
  - Added the "x" in field two of root's /etc/passwd entry.

* Thu Sep 20 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.1.9, Release 1.1.3
  - chmod 644 /etc/hosts

* Mon Sep 17 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.1.9, Release 1.1.2
  - Removed "ulimit -c" from /etc/profile

* Thu Sep 13 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.1.9, Release 1.1.1
  - Added /etc/printcap.
  - Added user/group lp ([gu]id 13) to passwd, shadow, and group.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.1.8, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Mon Mar 26 2001 Pete O'Hara <pete@guardiandigital.com>
- change perms to 644 on /etc/services

* Wed Feb 14 2001 Pete O'Hara <pete@guardiandigital.com>
- added file checking test before running chgrp

* Tue Dec 12 2000 Pete O'Hara <pete@guardiandigital.com>
- removed "Requires:"
- added "%post" that does chgrp admin

* Fri Dec 08 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 644 /etc/resolv.conf

* Fri Dec 01 2000 Pete O'Hara <pete@guardiandigital.com>
- adding dummy /etc/resolv.conf for postfix

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- changed initscripts dependancy to 6.0
- now requires filesystem (fix uucp bug?)

* Fri Nov 17 2000 Pete O'Hara <pete@guardiandigital.com>
- added the following files for default GD installs
	hosts hostname modules.conf lilo.conf

* Thu Nov 16 2000 Dave Wreski <dave@guardiandigital.com>
- changed initscripts dependancy to 5.18

* Wed Nov 15 2000 Pete O'Hara <pete@guardiandigital.com>
- changed admin GID to 110

* Fri Nov 03 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 640 /var/log/lastlog

* Mon Oct 30 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 2.3.4
- fixed passwd shadow and group
- removed motd
- fixed profile

* Tue Oct 24 2000 Pete O'Hara <pete@guardiandigital.com>
- removed the "named" entry from /etc/group so it doesn't
	conflict with bind-chroot rpm adding user "named"

* Thu Jul 17 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to /etc/host.conf, hosts.allow,
	hosts.deny, shutdown.allow
- added a default /etc/shadow, motd, issue, issue.net files 
- removed file /etc/shells
- set default hosts.deny to deny ALL:ALL
- added a non-destructive user "llbuser" and removed users
	"ftp", "games", "gopher", "news", and "uucp", "lp"
	for Guardian Digital Linux Lockbox

* Sun Jun 4  2000 Dave Wreski <dave@guardiandigital.com>
- Removed games, gopher, ftp, and dip from /etc/group
- Removed exports file
- Removed printcap file
- Fixed hosts.allow/deny
- Removed games, gopher, lp and ftp from passwd
- Adjusted permissions on /var/log
- Adjusted profile file
- Added shutdown.allow

